
 /* SP_SampleSubs.c
    - Functions for handling Sample Data -
    (c) 1990-94 by Andreas R. Kleinert
    Last changes : 03.07.1994
 */

#include "spobject.h"


 /* PUBLIC functions (high level) */

ULONG __saveds __asm SPO_GetSampleList( register __a1 struct SPObjectHandle *SPObjectHandle_a1,
                                        register __a2 struct SPO_SampleList **samplelist);
ULONG __saveds __asm SPO_SetSampleList( register __a1 struct SPObjectHandle *SPObjectHandle_a1,
                                        register __a2 struct SPO_SampleList *samplelist);


/* *************************************************** */
/* *						     * */
/* * SPO_GetSampleList : extract samples ... 	     * */
/* *						     * */
/* *************************************************** */

ULONG __saveds __asm SPO_GetSampleList( register __a1 struct SPObjectHandle *SPObjectHandle_a1,
                                        register __a2 struct SPO_SampleList **samplelist)
{
 struct SPObjectHandle *SPObjectHandle = SPObjectHandle_a1;
 ULONG retval =  SPERR_NO_ERROR;

 if(!SPObjectHandle) return(SPERR_NO_HANDLE);

 if(SPObjectHandle->ah_SampleList) *samplelist = SPObjectHandle->ah_SampleList;
  else                             retval      = SPERR_NO_SAMPLES_LOADED;

 return(retval);
}


/* *************************************************** */
/* *						     * */
/* * SPO_SetSampleList : set samples for writing     * */
/* *						     * */
/* *************************************************** */

ULONG __saveds __asm SPO_SetSampleList( register __a1 struct SPObjectHandle *SPObjectHandle_a1,
                                        register __a2 struct SPO_SampleList *samplelist)
{
 struct SPObjectHandle *SPObjectHandle = SPObjectHandle_a1;
 ULONG retval =  SPERR_NO_ERROR;

 if(!SPObjectHandle) return(SPERR_NO_HANDLE);

 /*

 if(samplelist) SPObjectHanndle->ah_SampleList = samplelist;

 return(retval);

 */

 return(SPERR_ACTION_NOT_SUPPORTED); /* also writing */
}
